From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1487864-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (2048 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 2CF2F15800F
	for <garchives@archives.gentoo.org>; Sat, 18 Feb 2023 00:41:09 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 6FFC3E07C7;
	Sat, 18 Feb 2023 00:41:08 +0000 (UTC)
Received: from smtp.gentoo.org (dev.gentoo.org [IPv6:2001:470:ea4a:1:5054:ff:fec7:86e4])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 37246E07C7
	for <gentoo-commits@lists.gentoo.org>; Sat, 18 Feb 2023 00:41:07 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 00CD2335D46
	for <gentoo-commits@lists.gentoo.org>; Sat, 18 Feb 2023 00:41:06 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 303FA75
	for <gentoo-commits@lists.gentoo.org>; Sat, 18 Feb 2023 00:41:04 +0000 (UTC)
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Sam James" <sam@gentoo.org>
Message-ID: <1676680818.178a02a99ce506fc6bd7046ec501f69df90f0656.sam@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/symengine/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-python/symengine/symengine-0.9.2-r2.ebuild
X-VCS-Directories: dev-python/symengine/
X-VCS-Committer: sam
X-VCS-Committer-Name: Sam James
X-VCS-Revision: 178a02a99ce506fc6bd7046ec501f69df90f0656
X-VCS-Branch: master
Date: Sat, 18 Feb 2023 00:41:04 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: a09b12a6-022e-43d6-9f12-e510e2c4567e
X-Archives-Hash: 5aa6cc8641e7cca5cbdac82f25a4c611

commit:     178a02a99ce506fc6bd7046ec501f69df90f0656
Author:     Jérôme Carretero <cJ-gentoo <AT> zougloub <DOT> eu>
AuthorDate: Thu Feb 16 09:33:10 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Feb 18 00:40:18 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=178a02a9

dev-python/symengine: add python3.11 to PYTHON_COMPAT

CI-tested:
https://github.com/symengine/symengine.py/blob/master/.github/workflows/ci.yml#L11
Signed-off-by: Jérôme Carretero <cJ-gentoo <AT> zougloub.eu>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/symengine/symengine-0.9.2-r2.ebuild | 56 ++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)

diff --git a/dev-python/symengine/symengine-0.9.2-r2.ebuild b/dev-python/symengine/symengine-0.9.2-r2.ebuild
new file mode 100644
index 000000000000..d0dc5ac3c521
--- /dev/null
+++ b/dev-python/symengine/symengine-0.9.2-r2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+MY_P=${PN}.py-${PV}
+DESCRIPTION="Python wrappers to the symengine C++ library"
+HOMEPAGE="https://github.com/symengine/symengine.py/"
+SRC_URI="
+	https://github.com/symengine/symengine.py/archive/v${PV}.tar.gz
+		-> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+BDEPEND="
+	dev-util/cmake
+	dev-python/cython[${PYTHON_USEDEP}]
+	test? (
+		dev-python/sympy[${PYTHON_USEDEP}]
+	)
+"
+# See bug #786582 for symengine constraint
+# See also https://github.com/symengine/symengine.py/blob/master/symengine_version.txt
+RDEPEND="
+	dev-python/numpy[${PYTHON_USEDEP}]
+	>=sci-libs/symengine-$(ver_cut 1-2):=
+"
+DEPEND="${RDEPEND}"
+
+# the C library installs the same docs
+DOCS=()
+
+PATCHES=(
+	"${FILESDIR}"/${P}-setuptools-61.patch
+	"${FILESDIR}"/${PN}-0.9.2-cmake-setuptools.patch
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+	cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+	epytest
+}
+
+python_install() {
+	distutils-r1_python_install
+	python_optimize
+}